<link rel="stylesheet" href="<?php echo base_url(); ?>public/css/vendor/bootstrap/bootstrap-table.css">
<link rel="stylesheet" href="<?php echo base_url(); ?>public/css/vendor/bootstrap/table-fix-column.css">

<script src="<?php echo base_url(); ?>public/js/vendor/bootstrap/src/bootstrap-table.js"></script>
<script src="<?php echo base_url(); ?>public/js/vendor/bootstrap/src/table-fix-column.js"></script>

<style type="text/css">
    table {
        table-layout: fixed !important;
    }

    th {
        background: rgb(146, 208, 80);
    }

    td, th {
        max-width: 400px;
        word-wrap: break-word;
    }

    .table-hover > tbody > tr:hover {
        background-color: #c8bd6d;
    }

    input {
        width: 60px;
    }

    #roleTable tr:nth-child(5n) {
        background: rgb(198, 239, 206);
    }

    /**隔五行*/

    .fixed-table-toolbar {
        display: none;
    }

    .fileinput-button {
        position: relative;
        top: -5px;
    }

    .fileinput-button input {
        position: absolute;
        right: 0px;
        top: 0px;
        opacity: 0;
        -ms-filter: 'alpha(opacity=0)';
    }
</style>
<div class="content_wrapper">
    <div id="msg-tip"></div>
    <div class="container-fluid ">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>活动金币</header>
                    <section>
                        <div class="container-fluid">
                            <button type="button" style="margin-bottom: 10px;width: 80px;" class="btn btn-danger" disabled id="commitBtn">提交</button>
                            <span id="filespan" class="btn btn-success fileinput-button">
                                    <span>导入</span>
                                    <input type="file" id="upfile">
                                </span>
                            <input type="button" style="display: none;margin-bottom: 10px;width: 80px;" class="btn btn-success" value="上传" id="btn"/>
                            <a type="button" href="/Export/activityCoins" style="margin-bottom: 10px;width: 80px;" class="btn btn-success">导出</a>
                            <div class="row">

                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <table id="roleTable" class="table table-bordered table-hover"
                                               data-toggle="table"
                                               data-classes="table table-hover"
                                               data-show-columns="true"
                                               data-striped="true"

                                               data-height="700">
                                            <thead>
                                            <tr>
                                                <?php foreach ($keys as $key){?>
                                                    <th><?=$key?></th>
                                                <?php }?>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <?php
                                            if (is_array($list) && !empty($list)) {
                                                foreach ($list as $key => $vl) { ?>
                                                    <tr>
                                                        <?php foreach ($keys as $key=>$text){?>
                                                            <td><?=$vl[$key]; ?></td>
                                                        <?php }?>
                                                    </tr>
                                                <?php }
                                            } else { ?>
                                                <tr>
                                                    <td colspan="14">暂无数据</td>
                                                </tr>
                                            <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>


</div>


<script src="<?php echo base_url(); ?>public/js/common.js"></script>
<!--<script src="--><?php //echo base_url();?><!--public/js/imageChange.js"></script>-->

<script>
    $("#btn").click(function () {
        var formData = new FormData();
        formData.append("file", document.getElementById("upfile").files[0]);
        showLoading()

        $.ajax({
            type: "POST", // 数据提交类型
            url: "Import/activityCoins", // 发送地址
            data: formData, //发送数据
            async: true, // 是否异步
            processData: false, //processData 默认为false，当设置为true的时候,jquery ajax 提交的时候不会序列化 data，而是直接使用data
            contentType: false, //
            success: function (data) { // 成功回调
                data = JSON.parse(data);
                alert(data.msg)
                if (data.ret == 0) {
                    window.location.reload();
                }
            },
            error:function(){
                hideLoading();
            }
        });
    });

    $("#filespan").on("change", "input[type='file']", function () {
        var filePath = $(this).val();
        //如果仅上传图片 if(filePath.indexOf("jpg") != -1 || filePath.indexOf("png") != -1) {
        if (filePath) {
            $('#btn').click();
        } else {
            return false
        }
    });


    $('#roleTable').on('paste', 'input', function (e) {
        var _that = $(this);
        var strArr = [];
        var pastedText = undefined;
        if (window.clipboardData && window.clipboardData.getData) { // IE
            pastedText = window.clipboardData.getData('Text');
        } else {
            pastedText = e.originalEvent.clipboardData.getData('Text');//e.clipboardData.getData('text/plain');
        }
        if (pastedText == undefined || pastedText == null || pastedText == '') {
            return;
        }
        //处理粘贴的数据,已空格拆分
        pastedText = pastedText.replace(/,/g, '');
        strArr = pastedText.split(/\s+/);

        setTimeout(function () {
            _that.val(strArr[0]);
        }, 200);

        for (var i = 1; i < strArr.length; i++) {
            _that.parent().siblings().eq(i - 1).removeClass('input').html(strArr[i] || '');
        }
    });

    $('#roleTable').on('dblclick', 'td', function () {
        const _this = $(this), tdText = _this.text();
        const cellIndex = _this[0].cellIndex;
        if (cellIndex === 0) {
            return false;
        } //点击操作列不可编辑

        _this.parent().addClass('modified')

        if (!_this.is('.input')) {
            _this.addClass('input').html('<input type="text" value="' + tdText + '" />').find('input').focus().blur(function () {
                const _input = $(this); //保存input对象
                const thisvalue = $(this).val();
                _input.parent().removeClass('input').html(thisvalue || '');
                if ($('#commitBtn').prop('disabled')) {
                    $('#commitBtn').attr('disabled', false);
                }
            });
        }

    });

    $('#roleTable').on('blur', '.add-row', function () {
        var _that = $(this);
        var thisval = _that.find('input').val();
        console.log(thisval);
        _that.removeClass('input').html(thisval || 0);
    });

    //提交表格数据
    $('#commitBtn').click(() => {
        const fields = [
            <?php foreach ($keys as $key => $text){ ?>
                '<?=$key?>',
            <?php }?>
        ]
        const tr = $('#roleTable tr.modified');


        const arr = [];
        let td;
        for (let i = 0; i < tr.length; i++) {
            td = $(tr[i]).find('td');
            let tempData = {}
            for (let j = 0; j < fields.length; j++) {
                tempData[fields[j]] = $(td[j]).html()
            }
            arr.push(tempData)
        }

        $.ajaxSetup({
            async: true
        });
        $.ajax({
            type: 'POST',
            dataType: 'json',
            data: {
                data: JSON.stringify(arr),
            },
            url: 'config/actionActivityCoins',
            success: function (data) {
                if (data.ret == 0) {
                    window.location.reload()
                    $('#commitBtn').attr('disabled', true);
                } else {
                    msgTip.messager().error(data.msg);
                }
            }
        });
    });
</script>

